
Foreman - Tracker #28633

Update GraphQL to work with Rails 6

01/03/2020 03:37 PM - Anonymous

Status: Resolved % Done: 100%

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Tests   

Target version:    

Difficulty: medium Fixed in Releases: 2.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Some GraphQL tests fail with Rails 6 and no errors in the test logs. Probably some updates are required to the dependency gems

and glue code.

Subtasks:

Bug # 29523: Graphql association preload doesn't work with Rails 6 Closed

Bug # 29524: Update GraphQL failing tests on Rails 6 Closed

Related issues:

Blocks Foreman - Tracker #24837: Rails 6.0 Tracker Closed

History

#1 - 01/03/2020 03:37 PM - Anonymous

- Blocks Tracker #24837: Rails 6.0 Tracker added

#2 - 04/15/2020 01:03 AM - Ondřej Ezr

- Tracker changed from Refactor to Tracker

- Category changed from API to Tests

- % Done set to 0

- Triaged changed from No to Yes

#3 - 04/15/2020 01:03 AM - Ondřej Ezr

- Assignee set to Ondřej Ezr

#4 - 04/18/2020 02:44 PM - Ondřej Ezr

- Status changed from New to Resolved

- Difficulty set to medium

- Fixed in Releases 2.1.0 added
